Skip to main content
GET
/
cloud
/
v1
/
l7policies
/
{project_id}
/
{region_id}
List load balancer L7 policies
curl --request GET \
  --url https://api.gcore.com/cloud/v1/l7policies/{project_id}/{region_id} \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "id": "9b4b9a23-ccac-4945-bcdd-b0e793c12cd9",
      "listener_id": "023f2e34-7806-443b-bfae-16c324569a3d",
      "name": "redirect-example.com",
      "position": 1,
      "project_id": 1337,
      "redirect_http_code": 301,
      "redirect_pool_id": "00000000-0000-4000-8000-000000000000",
      "redirect_prefix": "<string>",
      "redirect_url": "<string>",
      "region": "Luxembourg 1",
      "region_id": 7,
      "rules": [
        {
          "id": "0ca7bebd-7a54-4977-bca7-e4ac1e612ec7",
          "project_id": 1337,
          "region": "Luxembourg 1",
          "region_id": 7
        }
      ],
      "tags": [
        "test_tag"
      ],
      "task_id": "023f2e34-7806-443b-bfae-16c324569a3d"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Query Parameters

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
L7PolicySerializer · object[]
required

Objects